Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021765
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2012-09-26 14:022015-08-20 23:16
ReportermtaalView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision95cedd0d623c
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021765: Enable Weld tests in the client.kernel and client.application modules

DescriptionIn the client.kernel and client.application modules there are tests which extend BaseWeldTest.
These tests are currently not run because the test framework http://www.jboss.org/arquillian.html [^]

is not up-to-date.

This issue is to keep track that these tests need to be run, but first arquillian needs to be updated. See the libraries in org.openbravo.base.weld/lib/test.

Implemented as project: http://wiki.openbravo.com/wiki/Projects:CDI_for_jUnit [^]
Steps To ReproduceSee description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032506 closedplatform Openbravo ERP GenerateComponentTest.testApplication test case is ignored 
blocks design defect 0028625 closedaferraz QA Process requests should be called directly instead of using a request in TestCosting 
blocks defect 0028955 closedalostale Openbravo ERP can't use EntityPersistenceEventObserver in jUnit test cases 

-  Notes
(0078710)
hgbot (developer)
2015-07-08 08:21

Repository: erp/devel/pi
Changeset: 95cedd0d623cd3805af630edb5c687ec28f5405f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 08 08:13:50 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/95cedd0d623cd3805af630edb5c687ec28f5405f [^]

fixed issue 21765 fixed issue 28955: enabled cdi in jUnit test cases

---
M build.xml
M legal/Licensing.txt
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/WeldBaseTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/DynamicExpressionParserTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/FreemarkerTemplateProcessorTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/GenerateComponentTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/LabelTest.java
M src-test/.classpath.template
M src-test/.project
M src-test/build.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/AllTests.java
M src-test/src/org/openbravo/test/AntTaskTests.java
A modules/org.openbravo.base.weld/lib/test/arquillian-config-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-config-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-junit-container-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-junit-core-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-testenricher-cdi-1.0.2.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-weld-ee-embedded-1.1-1.0.0.CR8.jar
A modules/org.openbravo.base.weld/lib/test/jboss-el-api_2.2_spec-1.0.0.Final.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-api-1.2.2.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-api-base-2.0.0-alpha-7.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-spi-2.0.0-alpha-7.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-impl-base-1.2.2.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-spi-1.2.2.jar
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/ParameterCdiTest.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/ParameterCdiTestRule.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/ApplicationScopedBean.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/CdiInfrastructure.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/DalPersistanceEventTest.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/ParameterizedCdi.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/RequestScopedBean.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/SessionScopedBean.java
R modules/org.openbravo.base.weld/lib/test/arquillian-api-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-impl-base-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-junit-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-protocol-local-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-spi-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-testenricher-cdi-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-weld-ee-embedded-1.1-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-api-1.0.0-alpha-11.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-extension-classloader-1.0.0-alpha-11.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-impl-base-1.0.0-alpha-11.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-spi-1.0.0-alpha-11.jar
---
(0079144)
AugustoMauch (developer)
2015-07-31 11:02

Code reviewed and verified in pi@adc2491ee60b
(0079481)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-26 14:02 mtaal New Issue
2012-09-26 14:02 mtaal Assigned To => AugustoMauch
2012-09-26 14:02 mtaal Modules => Core
2012-09-26 14:26 RafaelCruz Issue Monitored: RafaelCruz
2012-10-15 11:18 AugustoMauch Target Version 3.0MP17 => 3.0MP18
2012-11-19 08:18 alostale Target Version 3.0MP18 =>
2013-04-25 08:18 alostale Triggers an Emergency Pack => No
2013-04-25 08:18 alostale Type defect => design defect
2014-02-27 11:08 egoitz Issue Monitored: egoitz
2015-01-15 11:28 shuehner Issue Monitored: shuehner
2015-01-15 14:01 aferraz Relationship added blocks 0028625
2015-02-16 17:43 alostale Relationship added blocks 0028955
2015-07-02 12:27 alostale Status new => scheduled
2015-07-02 12:27 alostale Assigned To AugustoMauch => alostale
2015-07-02 12:45 alostale Description Updated View Revisions
2015-07-02 12:49 alostale Target Version => 3.0PR15Q4
2015-07-08 08:10 alostale Review Assigned To => AugustoMauch
2015-07-08 08:21 hgbot Checkin
2015-07-08 08:21 hgbot Note Added: 0078710
2015-07-08 08:21 hgbot Status scheduled => resolved
2015-07-08 08:21 hgbot Resolution open => fixed
2015-07-08 08:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/95cedd0d623cd3805af630edb5c687ec28f5405f [^]
2015-07-31 11:02 AugustoMauch Note Added: 0079144
2015-07-31 11:02 AugustoMauch Status resolved => closed
2015-07-31 11:02 AugustoMauch Fixed in Version => 3.0PR15Q4
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079481
2016-03-18 12:37 alostale Relationship added related to 0032506


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker